/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizactivatedetail.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizactivatedetail.entity.BizActivateDetail;
import vip.xiaonuo.biz.modular.bizactivatedetail.param.BizActivateDetailAddParam;
import vip.xiaonuo.biz.modular.bizactivatedetail.param.BizActivateDetailEditParam;
import vip.xiaonuo.biz.modular.bizactivatedetail.param.BizActivateDetailIdParam;
import vip.xiaonuo.biz.modular.bizactivatedetail.param.BizActivateDetailPageParam;

import java.util.List;

/**
 * 激活明细Service接口
 *
 * @author fanzherong
 * @date  2025/03/05 14:33
 **/
public interface BizActivateDetailService extends IService<BizActivateDetail> {

    /**
     * 获取激活明细分页
     *
     * @author fanzherong
     * @date  2025/03/05 14:33
     */
    Page<BizActivateDetail> page(BizActivateDetailPageParam bizActivateDetailPageParam);

    /**
     * 添加激活明细
     *
     * @author fanzherong
     * @date  2025/03/05 14:33
     */
    void add(BizActivateDetailAddParam bizActivateDetailAddParam);

    /**
     * 编辑激活明细
     *
     * @author fanzherong
     * @date  2025/03/05 14:33
     */
    void edit(BizActivateDetailEditParam bizActivateDetailEditParam);

    /**
     * 删除激活明细
     *
     * @author fanzherong
     * @date  2025/03/05 14:33
     */
    void delete(List<BizActivateDetailIdParam> bizActivateDetailIdParamList);

    /**
     * 获取激活明细详情
     *
     * @author fanzherong
     * @date  2025/03/05 14:33
     */
    BizActivateDetail detail(BizActivateDetailIdParam bizActivateDetailIdParam);

    /**
     * 获取激活明细详情
     *
     * @author fanzherong
     * @date  2025/03/05 14:33
     **/
    BizActivateDetail queryEntity(String id);
}
